Subject: [spring] RE： 答复: SRv6 SID List compression

From: Yisong Liu<[email-masked]>
Date: 27 Jul 2021 19:22:12 +0800

Hi all

From the analysis report provided by the hard work of the DT, I think the C-SID solution is the most reliable solution for me.

I hope the WG can move forward the adoption poll of the C-SID solution.

Thanks

Yisong

发件人: Chengli (Cheng Li)

时间: 2021/07/27(星期二)18:17

收件人: Gyan Mishra;Darren Dukes (ddukes);

抄送人: SPRING WG;

主题: [spring] 答复:  SRv6 SID List compression 

Hi Gyan, 

Many thanks for your comments. Yes it is, we finished the work as required, really difficult.  

I do hope the WG can move forward to make the adoption call of the better/best solution. 

As you know, the vendors and operators have made their choice already, over 10 vendors have implemented C-SID and it has been deploying very fast  in the world. We need to standard it ASAP. 

And yes, CSID includes mainly two flavors from G-SRv6 and uSID as you pointed out. 

Many thanks, 

Cheng 

  

发件人: spring [mailto:[email-masked]] 代表  Gyan Mishra
 发送时间: 2021年7月27日  7:51
 收件人: Darren Dukes (ddukes) <ddukes=[email-masked]>
 抄送: SPRING WG <[email-masked]>
 主题: Re: [spring] SRv6 SID List compression 

 

Dear DT,  

Excellent work and many thanks to  the design team to come provide the detailed analysis of the 4 proposals and how they match up with the requirements.    

From the analysis it does sound like CSID is the choice by the DT.  

SRv6 compression &amp; MSD issue is now finally solved!  Excellent news!!  

Now it’s just a matter of moving forward with CSID Adoption poll.    

From the analysis it does not seem there is any draft that is in close 2nd place or a close call.  

From the analysis draft the two drafts that are combined to create CSID -> I don’t see it on the Spring WG Datatracker?  

 

https://datatracker.ietf.org/doc/html/draft-srcompdt-spring-compression-analysis-02  

The following mechanisms are proposed to compress the SRv6 SID list: 

   o  CSID - [I-D.filsfilscheng-spring-srv6-srh-comp-sl-enc] - Describes 

      two new SRv6 SID flavors, a combination of SID flavors from 

      [I-D.filsfils-spring-net-pgm-extension-srv6-usid] and 

      [I-D.cl-spring-generalized-srv6-for-cmpr] 

   o  CRH - [I-D.bonica-6man-comp-rtg-hdr] - Requires two new routing 

      header types and a label mapping technique. 

   o  VSID - [I-D.decraene-spring-srv6-vlsid] - Defines a set of SID 

      behaviors to access smaller SIDs within the SR header. 

   o  UIDSR - [I-D.mirsky-6man-unified-id-sr] - Extends the SRH to carry 

      MPLS labels or IPv6 addresses. 

 

Below 2 drafts are combined to create CSID??  

https://datatracker.ietf.org/doc/html/draft-filsfils-spring-net-pgm-extension-srv6-usid-10  

 

https://datatracker.ietf.org/doc/html/draft-cl-spring-generalized-srv6-for-cmpr-03  

 

Kind Regards   

Gyan  

 

On Mon, Jul 26, 2021 at 5:53 PM Darren Dukes (ddukes) <ddukes=[email-masked]> wrote:   

I’ll paraphrase what I said in the call... 

Today the design team presented analysis of proposals to compress an SRv6 SID list. 

They spent a year building the requirements and completing the analysis, in depth, with unanimous consensus. 

The CSID proposal satisfied all the requirements to the largest degree of any proposal. 

That proposal has multiple implementations, and interoperability, noted in the draft. 

That proposal has a large set of SPRING participants working on it already. 

The problem of SRv6 SID list compression is solved, CSID is ready for adoption. 

I hope we can conclude this, and choose a single proposal for WG adoption. 

Darren 

    

_______________________________________________
 spring mailing list
 [email-masked]
 https://www.ietf.org/mailman/listinfo/spring    

--  

 

 

Gyan Mishra 

Network Solutions Architect  

Email [email-masked] 

 M 301 502-1347